Game ver (1.03.11) is saying, "All updates complete..."

Comment below rating threshold, click here to show it.

Kinimod

Junior Member

05-02-2010

Okay, so I have an old version of the game as when this problem happened a few months back.. I stopped playing.

The problem is when I start the launcher it says I'm updated. When I try to log in and play, it tells me I have an incompatible client version.

Here is the log:

05/02/2010 15:57 [INFO] Solid LauncherLib [1.0.0.32] initializing...
05/02/2010 15:57 [INFO] Add App[League of Legends Launcher] Exe[C:\Riot Games\League of Legends\lol.launcher.exe] to Windows Firewall
05/02/2010 15:57 [INFO] Patcher_AddPackage([LOL.Air],[http://lolcdn.leagueoflegends.com/h2.../patcher/lol/],[C:\Riot Games\League of Legends\]) successful
05/02/2010 15:57 [INFO] Attempt to retrieve package [http://lolcdn.leagueoflegends.com/h2...L.Air.package]
05/02/2010 15:58 [INFO] Version retrieved [LOL.Air] 22/22 [LOL.Air.01_12_2010]/[LOL.Air.01_12_2010] type [PACKAGE_TYPE_PROGRESSIVE_VCDIFF]
05/02/2010 15:58 [INFO] [LOL.Air] State change [PATCHER_STATE_IDLE] to [PATCHER_STATE_ALLTASKSCOMPLETE]
05/02/2010 15:58 [INFO] Patcher_RemovePackage([LOL.Air]) successful
05/02/2010 15:58 [INFO] Patcher_AddPackage([LOL.Game],[http://lolcdn.leagueoflegends.com/h2.../patcher/lol/],[C:\Riot Games\League of Legends\]) successful
05/02/2010 15:58 [INFO] Attempt to retrieve package [http://lolcdn.leagueoflegends.com/h2....Game.package]
05/02/2010 15:58 [INFO] Version retrieved [LOL.Game] 16/16 [LOL.Game.01_12_2010]/[LOL.Game.01_12_2010] type [PACKAGE_TYPE_PROGRESSIVE_VCDIFF]
05/02/2010 15:58 [INFO] [LOL.Game] State change [PATCHER_STATE_IDLE] to [PATCHER_STATE_ALLTASKSCOMPLETE]
05/02/2010 15:58 [INFO] Patcher_RemovePackage([LOL.Game]) successful


I've tried re-installing adobe air as it gave me problems in the past, however no results. I've searched around the forums as well as common problems.. and I can't seem to find an answer. I don't want to have to resort to having to re-download/install the game as my connection is quite slow. If anyone has any ideas, let me know.

Thanks in advance!


Comment below rating threshold, click here to show it.

Ampharel

This user has referred a friend to League of Legends, click for more information

Senior Member

05-02-2010

It might be that the version is too old to patch and that you'll have to redownload it.

You can also just use a standalone client, but you will have to do this after every patch

link


Comment below rating threshold, click here to show it.

Kinimod

Junior Member

05-02-2010

Hmm.. why would they not make it compatible?

Not sure what this maestro-server log is, however it just says INFO: maestro [server] initializing... the entire time. tried to run the patcher_update and that wasn't able to connect. Not sure if that has anything to do with it.

As I said earlier, I'm trying to avoid downloading the client unless there is no other way.


Comment below rating threshold, click here to show it.

Eambo

This user has referred a friend to League of Legends, click for more information

Senior Member

05-02-2010

Riot are constantly changing their servers, game files, patching methods, etc. to find the best method for people to use, so it's very possible whatever method they were using at time time was changed a few versions later, and because you haven't updated in a while you essentially missed the change.

Also there's a bug that if you do an update then system restore, the client thinks it's patched, but the files were rolled back to a previous version. The only way to resolve this is to do a full uninstall and reinstall.